]> arthur.barton.de Git - ngircd-alex.git/commitdiff
Test suite: remove indentation of messages
authorAlexander Barton <alex@barton.de>
Mon, 24 Sep 2012 20:25:58 +0000 (22:25 +0200)
committerAlexander Barton <alex@barton.de>
Sat, 6 Oct 2012 21:17:06 +0000 (23:17 +0200)
src/testsuite/start-server.sh
src/testsuite/stop-server.sh
src/testsuite/stress-server.sh
src/testsuite/tests.sh

index 90832a39f68913d757a46320bf96fd672446944b..0fd61ea97c361093a4cb148e2b04724658bf3111 100755 (executable)
@@ -12,7 +12,7 @@ else
        id="1"
 fi
 
-echo_n "      starting server ${id} ..."
+echo_n "starting server ${id} ..."
 
 # remove old logfiles, if this is the first server (ID 1)
 [ "$id" = "1" ] && rm -rf logs *.log
index 7e6ee4f76b5e5c8afdae76d35fabbc7fee450d7c..c531137e2b10843f44db65f435085905b5bd38ab 100755 (executable)
@@ -12,7 +12,7 @@ else
        id="1"
 fi
 
-echo_n "      stopping server ${id} ..."
+echo_n "stopping server ${id} ..."
 
 # stop test-server ...
 pid=`./getpid.sh T-ngircd${id}`
index 15d6df1f68582abbaf869de08faedf0da7115475..1e823253cd3a0c093ee88f65e8d3c61bab9ef8a6 100755 (executable)
@@ -27,15 +27,15 @@ name=`basename $0`
 # test for required external tools
 type expect > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"expect\" not found.";  exit 77
+  echo "${name}: \"expect\" not found.";  exit 77
 fi
 type telnet > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"telnet\" not found.";  exit 77
+  echo "${name}: \"telnet\" not found.";  exit 77
 fi
 
 # hello world! :-)
-echo "      stressing server with $CLIENTS clients (be patient!):"
+echo "stressing server with $CLIENTS clients (be patient!):"
 
 # read in functions
 . ${srcdir}/functions.inc
@@ -50,7 +50,7 @@ while [ ${no} -lt $CLIENTS ]; do
 done
 
 # run first script and check if it succeeds
-echo_n "      checking stress script ..."
+echo_n "checking stress script ..."
 expect tests/0.e > logs/stress-0.log 2> /dev/null
 if [ $? -ne 0 ]; then
   echo " failure!"
@@ -64,12 +64,12 @@ while [ ${no} -lt $CLIENTS ]; do
   expect tests/${no}.e > logs/stress-${no}.log 2> /dev/null &
 
   no=`expr ${no} + 1`
-  echo "      started client $no/$CLIENTS."
+  echo "started client $no/$CLIENTS."
 
   [ $MAX -gt 0 ] && $srcdir/wait-tests.sh $MAX
 done
 
-echo_n "      waiting for clients to complete: ."
+echo_n "waiting for clients to complete: ."
 touch logs/check-idle.log
 while true; do
   expect ${srcdir}/check-idle.e >> logs/check-idle.log; res=$?
index dc184ffc1fc552fa891dec508a127fdbd7812e63..f820628f8d1102bb7c1da297d3a24bffffe379b1 100755 (executable)
@@ -18,7 +18,7 @@ test=`echo ${name} | cut -d '.' -f 1`
 [ -d logs ] || mkdir logs
 
 if [ ! -r "$test" ]; then
-  echo "      ${name}: test \"$test\" not found!";  exit 77
+  echo "${name}: test \"$test\" not found!";  exit 77
   exit 1
 fi
 
@@ -27,14 +27,14 @@ fi
 
 type expect > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"expect\" not found.";  exit 77
+  echo "${name}: \"expect\" not found.";  exit 77
 fi
 type telnet > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"telnet\" not found.";  exit 77
+  echo "${name}: \"telnet\" not found.";  exit 77
 fi
 
-echo_n "      running ${test} ..."
+echo_n "running ${test} ..."
 expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
 [ $r -eq 0 ] && echo " ok." || echo " failure!"